Package in.cdac.medinfo.csnotk.csnolib.model

## Class RelationshipTC

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.RelationshipTC

-     public class RelationshipTC
      extends java.lang.Object

  This class is used for finding descendant

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RelationshipTC()` | Default constructor.
    `RelationshipTC​(java.lang.String parentId, Concept childIdconcept)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Concept` | `getChildConcept()` |
    `int` | `getCountOfChildrens()` |
    `int` | `getIsImmediateChildren()` |
    `java.lang.String` | `getParentId()` |
    `void` | `setChildConcept​(Concept childConcept)` |
    `void` | `setCountOfChildrens​(int countOfChildrens)` |
    `void` | `setIsImmediateChildren​(int isImmediateChildren)` |
    `void` | `setParentId​(java.lang.String parentId)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationshipTC

          public RelationshipTC()

      Default constructor.

    - #### RelationshipTC

          public RelationshipTC​(java.lang.String parentId,
                                Concept childIdconcept)

  - ### Method Detail

    - #### getCountOfChildrens

          public int getCountOfChildrens()

    - #### setCountOfChildrens

          public void setCountOfChildrens​(int countOfChildrens)

    - #### getIsImmediateChildren

          public int getIsImmediateChildren()

    - #### setIsImmediateChildren

          public void setIsImmediateChildren​(int isImmediateChildren)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId​(java.lang.String parentId)

    - #### getChildConcept

          public Concept getChildConcept()

    - #### setChildConcept

          public void setChildConcept​(Concept childConcept)